SRE_STATE (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules.sre
Class SRE_STATE

    java.lang.Object
      org.python.modules.sre.SRE_STATE

    public class SRE_STATE

extends Object

Field Summary
`static int` | `SRE_AT_BEGINNING`
`static int` | `SRE_AT_BEGINNING_LINE`
`static int` | `SRE_AT_BEGINNING_STRING`
`static int` | `SRE_AT_BOUNDARY`
`static int` | `SRE_AT_END`
`static int` | `SRE_AT_END_LINE`
`static int` | `SRE_AT_END_STRING`
`static int` | `SRE_AT_LOC_BOUNDARY`
`static int` | `SRE_AT_LOC_NON_BOUNDARY`
`static int` | `SRE_AT_NON_BOUNDARY`
`static int` | `SRE_AT_UNI_BOUNDARY`
`static int` | `SRE_AT_UNI_NON_BOUNDARY`
`static int` | `SRE_CATEGORY_DIGIT`
`static int` | `SRE_CATEGORY_LINEBREAK`
`static int` | `SRE_CATEGORY_LOC_NOT_WORD`
`static int` | `SRE_CATEGORY_LOC_WORD`
`static int` | `SRE_CATEGORY_NOT_DIGIT`
`static int` | `SRE_CATEGORY_NOT_LINEBREAK`
`static int` | `SRE_CATEGORY_NOT_SPACE`
`static int` | `SRE_CATEGORY_NOT_WORD`
`static int` | `SRE_CATEGORY_SPACE`
`static int` | `SRE_CATEGORY_UNI_DIGIT`
`static int` | `SRE_CATEGORY_UNI_LINEBREAK`
`static int` | `SRE_CATEGORY_UNI_NOT_DIGIT`
`static int` | `SRE_CATEGORY_UNI_NOT_LINEBREAK`
`static int` | `SRE_CATEGORY_UNI_NOT_SPACE`
`static int` | `SRE_CATEGORY_UNI_NOT_WORD`
`static int` | `SRE_CATEGORY_UNI_SPACE`
`static int` | `SRE_CATEGORY_UNI_WORD`
`static int` | `SRE_CATEGORY_WORD`
`static int` | `SRE_ERROR_ILLEGAL`
`static int` | `SRE_ERROR_RECURSION_LIMIT`
`static int` | `SRE_ERROR_STATE`
`static int` | `SRE_FLAG_DOTALL`
`static int` | `SRE_FLAG_IGNORECASE`
`static int` | `SRE_FLAG_LOCALE`
`static int` | `SRE_FLAG_MULTILINE`
`static int` | `SRE_FLAG_TEMPLATE`
`static int` | `SRE_FLAG_UNICODE`
`static int` | `SRE_FLAG_VERBOSE`
`static int` | `SRE_INFO_CHARSET`
`static int` | `SRE_INFO_LITERAL`
`static int` | `SRE_INFO_PREFIX`
`static int` | `SRE_MAGIC`
`static int` | `SRE_OP_ANY`
`static int` | `SRE_OP_ANY_ALL`
`static int` | `SRE_OP_ASSERT`
`static int` | `SRE_OP_ASSERT_NOT`
`static int` | `SRE_OP_AT`
`static int` | `SRE_OP_BIGCHARSET`
`static int` | `SRE_OP_BRANCH`
`static int` | `SRE_OP_CALL`
`static int` | `SRE_OP_CATEGORY`
`static int` | `SRE_OP_CHARSET`
`static int` | `SRE_OP_FAILURE`
`static int` | `SRE_OP_GROUPREF`
`static int` | `SRE_OP_GROUPREF_EXISTS`
`static int` | `SRE_OP_GROUPREF_IGNORE`
`static int` | `SRE_OP_IN`
`static int` | `SRE_OP_IN_IGNORE`
`static int` | `SRE_OP_INFO`
`static int` | `SRE_OP_JUMP`
`static int` | `SRE_OP_LITERAL`
`static int` | `SRE_OP_LITERAL_IGNORE`
`static int` | `SRE_OP_MARK`
`static int` | `SRE_OP_MAX_UNTIL`
`static int` | `SRE_OP_MIN_REPEAT_ONE`
`static int` | `SRE_OP_MIN_UNTIL`
`static int` | `SRE_OP_NEGATE`
`static int` | `SRE_OP_NOT_LITERAL`
`static int` | `SRE_OP_NOT_LITERAL_IGNORE`
`static int` | `SRE_OP_RANGE`
`static int` | `SRE_OP_REPEAT`
`static int` | `SRE_OP_REPEAT_ONE`
`static int` | `SRE_OP_SUBPATTERN`
`static int` | `SRE_OP_SUCCESS`
`static int` | `USE_RECURSION_LIMIT`

Constructor Summary
`SRE_STATE(PyString str, int start, int end, int flags)`

Method Summary
`static int` | `getlower(int ch, int flags)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SRE_MAGIC

    public static final int SRE_MAGIC

See Also:
  Constant Field Values

### SRE_OP_FAILURE

    public static final int SRE_OP_FAILURE

See Also:
  Constant Field Values

### SRE_OP_SUCCESS

    public static final int SRE_OP_SUCCESS

See Also:
  Constant Field Values

### SRE_OP_ANY

    public static final int SRE_OP_ANY

See Also:
  Constant Field Values

### SRE_OP_ANY_ALL

    public static final int SRE_OP_ANY_ALL

See Also:
  Constant Field Values

### SRE_OP_ASSERT

    public static final int SRE_OP_ASSERT

See Also:
  Constant Field Values

### SRE_OP_ASSERT_NOT

    public static final int SRE_OP_ASSERT_NOT

See Also:
  Constant Field Values

### SRE_OP_AT

    public static final int SRE_OP_AT

See Also:
  Constant Field Values

### SRE_OP_BRANCH

    public static final int SRE_OP_BRANCH

See Also:
  Constant Field Values

### SRE_OP_CALL

    public static final int SRE_OP_CALL

See Also:
  Constant Field Values

### SRE_OP_CATEGORY

    public static final int SRE_OP_CATEGORY

See Also:
  Constant Field Values

### SRE_OP_CHARSET

    public static final int SRE_OP_CHARSET

See Also:
  Constant Field Values

### SRE_OP_BIGCHARSET

    public static final int SRE_OP_BIGCHARSET

See Also:
  Constant Field Values

### SRE_OP_GROUPREF

    public static final int SRE_OP_GROUPREF

See Also:
  Constant Field Values

### SRE_OP_GROUPREF_EXISTS

    public static final int SRE_OP_GROUPREF_EXISTS

See Also:
  Constant Field Values

### SRE_OP_GROUPREF_IGNORE

    public static final int SRE_OP_GROUPREF_IGNORE

See Also:
  Constant Field Values

### SRE_OP_IN

    public static final int SRE_OP_IN

See Also:
  Constant Field Values

### SRE_OP_IN_IGNORE

    public static final int SRE_OP_IN_IGNORE

See Also:
  Constant Field Values

### SRE_OP_INFO

    public static final int SRE_OP_INFO

See Also:
  Constant Field Values

### SRE_OP_JUMP

    public static final int SRE_OP_JUMP

See Also:
  Constant Field Values

### SRE_OP_LITERAL

    public static final int SRE_OP_LITERAL

See Also:
  Constant Field Values

### SRE_OP_LITERAL_IGNORE

    public static final int SRE_OP_LITERAL_IGNORE

See Also:
  Constant Field Values

### SRE_OP_MARK

    public static final int SRE_OP_MARK

See Also:
  Constant Field Values

### SRE_OP_MAX_UNTIL

    public static final int SRE_OP_MAX_UNTIL

See Also:
  Constant Field Values

### SRE_OP_MIN_UNTIL

    public static final int SRE_OP_MIN_UNTIL

See Also:
  Constant Field Values

### SRE_OP_NOT_LITERAL

    public static final int SRE_OP_NOT_LITERAL

See Also:
  Constant Field Values

### SRE_OP_NOT_LITERAL_IGNORE

    public static final int SRE_OP_NOT_LITERAL_IGNORE

See Also:
  Constant Field Values

### SRE_OP_NEGATE

    public static final int SRE_OP_NEGATE

See Also:
  Constant Field Values

### SRE_OP_RANGE

    public static final int SRE_OP_RANGE

See Also:
  Constant Field Values

### SRE_OP_REPEAT

    public static final int SRE_OP_REPEAT

See Also:
  Constant Field Values

### SRE_OP_REPEAT_ONE

    public static final int SRE_OP_REPEAT_ONE

See Also:
  Constant Field Values

### SRE_OP_SUBPATTERN

    public static final int SRE_OP_SUBPATTERN

See Also:
  Constant Field Values

### SRE_OP_MIN_REPEAT_ONE

    public static final int SRE_OP_MIN_REPEAT_ONE

See Also:
  Constant Field Values

### SRE_AT_BEGINNING

    public static final int SRE_AT_BEGINNING

See Also:
  Constant Field Values

### SRE_AT_BEGINNING_LINE

    public static final int SRE_AT_BEGINNING_LINE

See Also:
  Constant Field Values

### SRE_AT_BEGINNING_STRING

    public static final int SRE_AT_BEGINNING_STRING

See Also:
  Constant Field Values

### SRE_AT_BOUNDARY

    public static final int SRE_AT_BOUNDARY

See Also:
  Constant Field Values

### SRE_AT_NON_BOUNDARY

    public static final int SRE_AT_NON_BOUNDARY

See Also:
  Constant Field Values

### SRE_AT_END

    public static final int SRE_AT_END

See Also:
  Constant Field Values

### SRE_AT_END_LINE

    public static final int SRE_AT_END_LINE

See Also:
  Constant Field Values

### SRE_AT_END_STRING

    public static final int SRE_AT_END_STRING

See Also:
  Constant Field Values

### SRE_AT_LOC_BOUNDARY

    public static final int SRE_AT_LOC_BOUNDARY

See Also:
  Constant Field Values

### SRE_AT_LOC_NON_BOUNDARY

    public static final int SRE_AT_LOC_NON_BOUNDARY

See Also:
  Constant Field Values

### SRE_AT_UNI_BOUNDARY

    public static final int SRE_AT_UNI_BOUNDARY

See Also:
  Constant Field Values

### SRE_AT_UNI_NON_BOUNDARY

    public static final int SRE_AT_UNI_NON_BOUNDARY

See Also:
  Constant Field Values

### SRE_CATEGORY_DIGIT

    public static final int SRE_CATEGORY_DIGIT

See Also:
  Constant Field Values

### SRE_CATEGORY_NOT_DIGIT

    public static final int SRE_CATEGORY_NOT_DIGIT

See Also:
  Constant Field Values

### SRE_CATEGORY_SPACE

    public static final int SRE_CATEGORY_SPACE

See Also:
  Constant Field Values

### SRE_CATEGORY_NOT_SPACE

    public static final int SRE_CATEGORY_NOT_SPACE

See Also:
  Constant Field Values

### SRE_CATEGORY_WORD

    public static final int SRE_CATEGORY_WORD

See Also:
  Constant Field Values

### SRE_CATEGORY_NOT_WORD

    public static final int SRE_CATEGORY_NOT_WORD

See Also:
  Constant Field Values

### SRE_CATEGORY_LINEBREAK

    public static final int SRE_CATEGORY_LINEBREAK

See Also:
  Constant Field Values

### SRE_CATEGORY_NOT_LINEBREAK

    public static final int SRE_CATEGORY_NOT_LINEBREAK

See Also:
  Constant Field Values

### SRE_CATEGORY_LOC_WORD

    public static final int SRE_CATEGORY_LOC_WORD

See Also:
  Constant Field Values

### SRE_CATEGORY_LOC_NOT_WORD

    public static final int SRE_CATEGORY_LOC_NOT_WORD

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_DIGIT

    public static final int SRE_CATEGORY_UNI_DIGIT

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_NOT_DIGIT

    public static final int SRE_CATEGORY_UNI_NOT_DIGIT

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_SPACE

    public static final int SRE_CATEGORY_UNI_SPACE

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_NOT_SPACE

    public static final int SRE_CATEGORY_UNI_NOT_SPACE

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_WORD

    public static final int SRE_CATEGORY_UNI_WORD

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_NOT_WORD

    public static final int SRE_CATEGORY_UNI_NOT_WORD

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_LINEBREAK

    public static final int SRE_CATEGORY_UNI_LINEBREAK

See Also:
  Constant Field Values

### SRE_CATEGORY_UNI_NOT_LINEBREAK

    public static final int SRE_CATEGORY_UNI_NOT_LINEBREAK

See Also:
  Constant Field Values

### SRE_FLAG_TEMPLATE

    public static final int SRE_FLAG_TEMPLATE

See Also:
  Constant Field Values

### SRE_FLAG_IGNORECASE

    public static final int SRE_FLAG_IGNORECASE

See Also:
  Constant Field Values

### SRE_FLAG_LOCALE

    public static final int SRE_FLAG_LOCALE

See Also:
  Constant Field Values

### SRE_FLAG_MULTILINE

    public static final int SRE_FLAG_MULTILINE

See Also:
  Constant Field Values

### SRE_FLAG_DOTALL

    public static final int SRE_FLAG_DOTALL

See Also:
  Constant Field Values

### SRE_FLAG_UNICODE

    public static final int SRE_FLAG_UNICODE

See Also:
  Constant Field Values

### SRE_FLAG_VERBOSE

    public static final int SRE_FLAG_VERBOSE

See Also:
  Constant Field Values

### SRE_INFO_PREFIX

    public static final int SRE_INFO_PREFIX

See Also:
  Constant Field Values

### SRE_INFO_LITERAL

    public static final int SRE_INFO_LITERAL

See Also:
  Constant Field Values

### SRE_INFO_CHARSET

    public static final int SRE_INFO_CHARSET

See Also:
  Constant Field Values

### USE_RECURSION_LIMIT

    public static final int USE_RECURSION_LIMIT

See Also:
  Constant Field Values

### SRE_ERROR_ILLEGAL

    public static final int SRE_ERROR_ILLEGAL

See Also:
  Constant Field Values

### SRE_ERROR_STATE

    public static final int SRE_ERROR_STATE

See Also:
  Constant Field Values

### SRE_ERROR_RECURSION_LIMIT

    public static final int SRE_ERROR_RECURSION_LIMIT

See Also:
  Constant Field Values

Constructor Detail

### SRE_STATE

    public SRE_STATE(PyString str,
                     int start,
                     int end,
                     int flags)

Method Detail

### getlower

    public static int getlower(int ch,
                               int flags)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage